<?php
declare(strict_types=1);

namespace Inti\Media\Container;

use Inti\Media\Service\ImageManager;
use Psr\Container\ContainerInterface;

/**
 * Class ImageManagerFactory
 *
 * @package Inti\Media\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
final class ImageManagerFactory
{
    public function __invoke(ContainerInterface $container): ImageManager
    {
        $config = $container->has('config') ? $container->get('config') : [];
        $config = $config['media'][ImageManager::class] ?? [];

        return new ImageManager(
            $config['root'] ?? ''
        );
    }
}
