<?php
declare(strict_types=1);

namespace Inti\Media\Handler;

use Inti\Media\Service\ImageManager;
use Psr\Container\ContainerInterface;
use Psr\Http\Server\RequestHandlerInterface;

/**
 * Class HandlerFactory
 *
 * @package Inti\Media\Handler
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
final class HandlerFactory
{
    public function __invoke(ContainerInterface $container, string $requestedName): RequestHandlerInterface
    {
        return new $requestedName(
            $container->get(ImageManager::class)
        );
    }
}
