<?php
declare(strict_types=1);

namespace Inti\Media\Model;

/**
 * Class ImageSize
 *
 * @package Inti\Media\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
class ImageSize
{
    protected ?int $width;
    protected ?int $height;
    protected bool $cropped = false;

    public function __construct(?int $width = null, ?int $height = null, bool $cropped = false)
    {
        $this->width = $width;
        $this->height = $height;
        $this->cropped = $cropped;
    }

    public function getWidth(): int
    {
        return $this->width ?? 0;
    }

    public function getHeight(): int
    {
        return $this->height ?? 0;
    }

    public function setWidth(?int $width): self
    {
        $this->width = $width;
        return $this;
    }

    public function setHeight(?int $height): self
    {
        $this->height = $height;
        return $this;
    }

    public function setCropped(bool $cropped): self
    {
        $this->cropped = $cropped;
        return $this;
    }


    public function isCropped(): bool
    {
        return $this->cropped;
    }
}
