<?php
declare(strict_types=1);

namespace Inti\Media\Plugin;

use Inti\Media\Service\ImageManager;
use Psr\Container\ContainerInterface;

/**
 * Class MediaHandlerFactory
 *
 * @package Inti\Media\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
final class MediaHandlerFactory
{
    public function __invoke(ContainerInterface $container): MediaHandler
    {
        return new MediaHandler(
            $container->get(ImageManager::class),
            $container->get('ImageMetadataCache')
        );
    }
}
